Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::PK_Ops::Signature Class Referenceabstract

`#include <pk_ops.h>`

Inheritance diagram for Botan::PK_Ops::Signature:

## Public Member Functions
virtual secure_vector< uint8_t > | sign (RandomNumberGenerator &rng)=0
virtual void | update (const uint8_t msg[], size_t msg_len)=0
virtual | ~Signature ()=default

## Detailed Description

Public key signature creation interface

Definition at line 86 of file pk_ops.h.

## Constructor & Destructor Documentation

virtual Botan::PK_Ops::Signature::~Signature | ( |  | ) |
| virtual default

## Member Function Documentation

virtual secure_vector<uint8_t> Botan::PK_Ops::Signature::sign | ( | RandomNumberGenerator & | rng | ) |
| pure virtual

Implemented in Botan::PK_Ops::Signature_with_EMSA, Botan::XMSS_Signature_Operation, and Botan::XMSS_WOTS_Signature_Operation.

virtual void Botan::PK_Ops::Signature::update | ( | const uint8_t | msg[],
|  | size_t | msg_len
| ) |  |
| pure virtual

Implemented in Botan::PK_Ops::Signature_with_EMSA, Botan::XMSS_Signature_Operation, and Botan::XMSS_WOTS_Signature_Operation.

The documentation for this class was generated from the following file:

- src/lib/pubkey/pk_ops.h